lp:ubuntu/natty/bzr

Created by James Westby on 2010-10-13 and last modified on 2011-03-26
Get this branch:
bzr branch lp:ubuntu/natty/bzr
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

28. By Matthias Klose on 2011-03-26

* Drop build dependency on python-subunit (universe). LP: #713038.
* Disable parallel tests.

27. By Jelmer Vernooij on 2011-03-13

* New upstream release.
 + Build depend on python-configobj >= 4.7.2+ds-2 which has a fix for bug
   #618349 which breaks the Bazaar testsuite.
* Switch to dh_python2.
* Switch to debhelper 7, drop cdbs.

26. By Jelmer Vernooij on 2011-02-06

Split python library into a separate package. Closes: #561647

25. By Jelmer Vernooij on 2011-01-21

[ Jelmer Vernooij ]
* Cherrypick fix for compatibility with python2.7 >= 2.7.1-2. LP: #693880
* Switch to python-support. Closes: #568462
* Add missing build dependency on python-configobj.
* Make dependency on python-testtools versioned (>= 0.9.5).
* Re-remove included elementtree and configobj. Closes: #555343, #555336

[ Vincent Ladeuil ]
* New upstream release.
 + Fix https python-2.7 compatibility. Closes: #608085
 + Follow the Freedesktop XDG Base Directory Specification. LP: #195397
* Drop unnecessary dependency on graphviz.

[ Max Bowsher ]
* Run testsuite for bundled plugins too.

[ Jelmer Vernooij ]
* Cherrypick fix around default locales.

24. By Loïc Minier on 2011-01-03

* Revert back to 2.3.0~beta3-1ubuntu1 as it's not just the readline() issue
  causing problems, but bzr will corrupt .bzr dirs with python 2.7, see
  LP #654731.
* Really use python2.6 by setting --executable to /usr/bin/python2.6 instead
  of /usr/bin/python in debian/rules; thanks Bilal Akhtar.

23. By Loïc Minier on 2011-01-03

* Revert changes from 2.3.0~beta3-1ubuntu1 as they don't fix the build.
* New patch, fix-readline-python2.7, from
  https://code.launchpad.net/~vila/bzr/2.2-693880-ssl-readline; LP: #693880.

22. By Bilal Akhtar on 2011-01-03

Force usage of python2.6 both while building and when the bzr command
is executed. This is a temporary change to fix issues caused in bzr
due to the python 2.7 transition. (LP: #693880)

21. By Matthias Klose on 2010-12-02

Rebuild to add support for python 2.7.

20. By Max Bowsher on 2010-11-05

[ Jelmer Vernooij ]
* Add testtools to build dependencies.
* Run tests by default again, unless "nocheck" is present in
  DEB_BUILD_OPTIONS. (per policy)

[ Max Bowsher ]
* Amend watch file to match current package version scheme.
* New upstream release.

19. By Jelmer Vernooij on 2010-10-11

* New upstream release.
* Rebuild with python2.5 modules. Closes: #593409

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/oneiric/bzr
This branch contains Public information 
Everyone can see this information.

Subscribers